### Virtual Method

# GimpUi ColorSelector set_simulation

unstable since: 3.0

#### Declaration [src]

    void
    set_simulation (
      GimpColorSelector* selector,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Sets the simulation options to use with this color selector.

Available since: 3.0

#### Parameters

`profile`

  Type: `GimpColorProfile`

  A `GimpColorProfile` object.

  The data is owned by the caller of the function.

`intent`

  Type: `GimpColorRenderingIntent`

  A `GimpColorRenderingIntent` enum.

`bpc`

  Type: `gboolean`

  A gboolean.